Skip to content

Get cashflow report for accounts

Request

Security
oauth2ClientCredentials(Required scopes: accounts:read)
Query
fromstringrequired

Start date for the report period (YYYY-MM-DD)

Example:from=2026-04-18
tostringrequired

End date for the report period (YYYY-MM-DD)

Example:to=2026-05-18
org_wallet_refstring

Organization wallet reference ID to filter by specific currency

Example:org_wallet_ref=1
accountstring

Account filter

Example:account=acc-123
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/accounts/cashflow-report?from=2026-04-18&to=2026-05-18&org_wallet_ref=1&account=acc-123' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

Cashflow report generated successfully

Bodyapplication/json
statusnumberrequired

HTTP status code

Example:200
dataobject(CashflowReportDataDto)required

Cashflow report data

timestampstringrequired

Response timestamp in ISO format

Example:"2026-05-15T10:00:00Z"
Response
{ "status": 200, "data": { "accounts": [], "summary": {}, "period": {} }, "timestamp": "2026-05-15T10:00:00Z" }